package uhupoly;


public class Esquina extends Casilla {
    private int numEsquina;

    public Esquina(int num) {
        numEsquina = num;
    }

    public int getNumEsquina() {
        return numEsquina;
    }

    public void setNumEsquina(int val) {
        this.numEsquina = val;
    }
    
    public boolean accion(Jugador jugadorActual, Juego juego) {
    
        boolean res = true;
        
        switch (numEsquina) {
        
            case 1: { // casilla de salida
                jugadorActual.setPosicion(this);
            } break;
            case 2: { // crcel
                jugadorActual.setDeVisita(true);
                jugadorActual.setPosicion(this);
            } break;
            case 3: { // parking gratuito
                jugadorActual.setPosicion(this);
            } break;
            case 4: { // ve a la crcel
                //directo a la carcel
                jugadorActual.setTurnosEnCarcel(3);
                jugadorActual.setDeVisita(false);
                jugadorActual.setPosicion(juego.getTablero().getCasillas().get(10));
                //muestra que son 3 dobles y va a la carcel
                juego.getObservador().muestraMensaje("<b>Vas directo a la crcel!!!</b>");
                //activa TERMINAR_____________
                juego.getObservador().muestraTerminarTurno();
                
                res = false;
            }
        
        }
    
        return res;
    }
}
